Bug 949722 - TypeError: cannot concatenate 'str' and 'int' objects
TypeError: cannot concatenate 'str' and 'int' objects
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
ppc64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F19PPCBeta/F19PPCBetaBlocker/PPCBetaBlocker
  Show dependency treegraph
 
Reported: 2013-04-08 16:15 EDT by Mark Hamzy
Modified: 2013-05-30 12:22 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-30 12:22:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Hamzy 2013-04-08 16:15:19 EDT
anaconda 19.16-2

Booting with the following command line:

boot: linux inst.vnc inst.sshd ip=9.5.114.36::9.5.114.1:255.255.255.0:sharpie.rch.stglabs.ibm.com:eth0:none ip=9.5.114.41::9.5.114.1:255.255.255.0::eth1:none nameserver=9.10.244.100 bootdev=eth0 ks=http://chukar.rch.stglabs.ibm.com/Fedora19-sharpie-lvm_auto-cdrom-minimal-ks.cfg



dracut-initqueue[592]: % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
dracut-initqueue[592]: Dload  Upload   Total   Spent    Left  Speed
[  OK  ] Started Show Plymouth Boot Screen.
[  OK  ] Reached target Paths.
[  OK  ] Reached target Basic System.
100  1241  100  1241    0     0  13731      0 --:--:-- --:--:-- --:--:-- 13943:--:-- --:--:--     0
dracut-initqueue[592]: Traceback (most recent call last):
dracut-initqueue[592]: File "/sbin/parse-kickstart", line 394, in <module>
dracut-initqueue[592]: outfile, output = process_kickstart(path)
dracut-initqueue[592]: File "/sbin/parse-kickstart", line 383, in process_kickstart
dracut-initqueue[592]: parser.readKickstart(processed_file)
dracut-initqueue[592]: File "/usr/lib/python2.7/site-packages/pykickstart/parser.py", line 717, in readKickstart
dracut-initqueue[592]: self.readKickstartFromString(s, reset=False)
dracut-initqueue[592]: File "/usr/lib/python2.7/site-packages/pykickstart/parser.py", line 690, in readKickstartFromString
dracut-initqueue[592]: self._stateMachine (i)
dracut-initqueue[592]: File "/usr/lib/python2.7/site-packages/pykickstart/parser.py", line 673, in _stateMachine
dracut-initqueue[592]: self._tryFunc(lambda: self.handleCommand(lineno, args))
dracut-initqueue[592]: File "/usr/lib/python2.7/site-packages/pykickstart/parser.py", line 593, in _tryFunc
dracut-initqueue[592]: fn()
dracut-initqueue[592]: File "/usr/lib/python2.7/site-packages/pykickstart/parser.py", line 673, in <lambda>
dracut-initqueue[592]: self._tryFunc(lambda: self.handleCommand(lineno, args))
dracut-initqueue[592]: File "/usr/lib/python2.7/site-packages/pykickstart/parser.py", line 483, in handleCommand
dracut-initqueue[592]: retval = self.handler.dispatcher(args, lineno)
dracut-initqueue[592]: File "/sbin/parse-kickstart", line 171, in dispatcher
dracut-initqueue[592]: self.output.append(command.dracut_args(args, lineno, obj))
dracut-initqueue[592]: File "/sbin/parse-kickstart", line 130, in dracut_args
dracut-initqueue[592]: ksnet_to_ifcfg(net)
dracut-initqueue[592]: File "/sbin/parse-kickstart", line 308, in ksnet_to_ifcfg
dracut-initqueue[592]: ifcfg["DNS%d" % i+1] = ip
dracut-initqueue[592]: TypeError: cannot concatenate 'str' and 'int' objects
dracut-initqueue[592]: /lib/anaconda-lib.sh: line 160: /tmp/ks.info: No such file or directory
dracut-initqueue[592]: Warning: Could not boot.
[  OK  ] Reached target Basic System.
100  1241  100  1241    0     0  13731      0 --:--:-- --:--:-- --:--:-- 13943:--:-- --:--:--     0
dracut-initqueue[592]: Traceback (most recent call last):
dracut-initqueue[592]: File "/sbin/parse-kickstart", line 394, in <module>
dracut-initqueue[592]: outfile, output = process_kickstart(path)
dracut-initqueue[592]: File "/sbin/parse-kickstart", line 383, in process_kickstart
dracut-initqueue[592]: parser.readKickstart(processed_file)
dracut-initqueue[592]: File "/usr/lib/python2.7/site-packages/pykickstart/parser.py", line 717, in readKickstart
dracut-initqueue[592]: self.readKickstartFromString(s, reset=False)
dracut-initqueue[592]: File "/usr/lib/python2.7/site-packages/pykickstart/parser.py", line 690, in readKickstartFromString
dracut-initqueue[592]: self._stateMachine (i)
dracut-initqueue[592]: File "/usr/lib/python2.7/site-packages/pykickstart/parser.py", line 673, in _stateMachine
dracut-initqueue[592]: self._tryFunc(lambda: self.handleCommand(lineno, args))
dracut-initqueue[592]: File "/usr/lib/python2.7/site-packages/pykickstart/parser.py", line 593, in _tryFunc
dracut-initqueue[592]: fn()
dracut-initqueue[592]: File "/usr/lib/python2.7/site-packages/pykickstart/parser.py", line 673, in <lambda>
dracut-initqueue[592]: self._tryFunc(lambda: self.handleCommand(lineno, args))
dracut-initqueue[592]: File "/usr/lib/python2.7/site-packages/pykickstart/parser.py", line 483, in handleCommand
dracut-initqueue[592]: retval = self.handler.dispatcher(args, lineno)
dracut-initqueue[592]: File "/sbin/parse-kickstart", line 171, in dispatcher
dracut-initqueue[592]: self.output.append(command.dracut_args(args, lineno, obj))
dracut-initqueue[592]: File "/sbin/parse-kickstart", line 130, in dracut_args
dracut-initqueue[592]: ksnet_to_ifcfg(net)
dracut-initqueue[592]: File "/sbin/parse-kickstart", line 308, in ksnet_to_ifcfg
dracut-initqueue[592]: ifcfg["DNS%d" % i+1] = ip
dracut-initqueue[592]: TypeError: cannot concatenate 'str' and 'int' objects
dracut-initqueue[592]: /lib/anaconda-lib.sh: line 160: /tmp/ks.info: No such file or directory
dracut-initqueue[592]: Warning: Could not boot.
dracut-initqueue[592]: Warning: /dev/root does not exist
         Starting Dracut Emergency Shell...
Warning: /dev/root does not exist

Generating "/run/initramfs/sosreport.txt"


Entering emergency mode. Exit the shell to continue.
Type "journalctl" to view system logs.
You might want to save "/run/initramfs/sosreport.txt" to a USB stick or /boot
after mounting them and attach it to a bug report.


dracut:/#
Comment 1 Mark Hamzy 2013-04-08 16:23:46 EDT
> /sbin/parse-kickstart(310)ksnet_to_ifcfg()
-> ifcfg["DNS%d" % i+1] = ip
(Pdb) print i
0
(Pdb) print ip
9.10.244.100
(Pdb) type(ip)
<type 'str'>
(Pdb) type (i)
<type 'int'>
(Pdb) n
TypeError: "cannot concatenate 'str' and 'int' objects"
> /sbin/parse-kickstart(310)ksnet_to_ifcfg()
-> ifcfg["DNS%d" % i+1] = ip
(Pdb) ifcfg["DNS%d" % (i+1)] = ip
(Pdb)
Comment 3 Mark Hamzy 2013-04-08 20:23:19 EDT
Forgot to add that the kickstart file was as follows:

#version=DEVEL
# System authorization information
auth --enableshadow --passalgo=sha512
# Use CDROM installation media
cdrom

# Run the Setup Agent on first boot
firstboot --enable
ignoredisk --only-use=sda
# Keyboard layouts
keyboard --vckeymap=us --xlayouts='us'
# System language
lang en_US.UTF-8

# Network information
network  --bootproto=static --device=eth0 --gateway=9.5.114.1 --ip=9.5.114.36 --nameserver=9.10.244.100 --netmask=255.255.255.0 --noipv6 --activate --hostname=sharpie.rch.stglabs.ibm.com
network  --bootproto=static --device=eth1 --gateway=9.5.114.1 --ip=9.5.114.41 --nameserver=9.10.244.100 --netmask=255.255.255.0 --noipv6 --activate
# Root password
rootpw --iscrypted $6$FCC2q6uYlfUbj/yT$DofkzfLSx81naeiFN/s8QaPrg3OEzP4B8M3balQqQOqr93d43qGSk778ia/fffLdV.WWR7A0JaNrsNzv/BFy50
# System timezone
timezone America/Chicago --isUtc
user --groups=wheel --name=hamzy --password=$6$G5rAVxJJu96EVjMT$sehanccOinXj21XXRIcFYqpooP83aGy1SGbiRt1b1fwA3fITSd6VsVnRIS3urA8f8940lg4t466Q3p439eSU70 --iscrypted --gecos="Mark Hamzy"

# System bootloader configuration
bootloader --location=mbr --boot-drive=sda
clearpart --all --initlabel --drives=sda
# Partition clearing information
autopart --type=lvm

%packages
@core
@standard

%end
Comment 4 Adam Williamson 2013-05-29 21:05:15 EDT
The fix for this was pushed, I see it in the git log. Mark, can you confirm this is now fixed, and close the bug if so? Thanks!
Comment 5 Mark Hamzy 2013-05-30 11:53:27 EDT
Yes, I do not see the bug anymore.
Comment 6 Adam Williamson 2013-05-30 12:22:53 EDT
We can close it, then. Thanks.

Note You need to log in before you can comment on or make changes to this bug.